
Foreman - Tracker #31073

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Remove puppet bits from non puppet related tests

10/13/2020 09:06 PM - Ondřej Ezr

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Subtasks:

Refactor # 31107: Test Middleware on different resource than environments Closed

Refactor # 31369: Remove Environment fixtures Closed

Refactor # 32614: Remove environment from Taxonomix test Closed

Associated revisions

Revision ec822882 - 05/25/2021 02:29 PM - Ondřej Ezr

Fixes #31073 - test Taxonomix with Domain

As we plan to extract Environment, we need to use Domain in tests.

History

#1 - 10/20/2020 11:35 AM - Ondřej Ezr

- Subject changed from Remove Puppet related factories and fixtures to Remove puppet bits from non puppet related tests

#2 - 05/17/2021 08:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

#3 - 05/25/2021 02:29 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 05/25/2021 03:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

- % Done changed from 33 to 100

Applied in changeset foreman|ec8228823dfd6603665e324f38143a5e88b4080e.
